Subject: I-D Action: draft-yao-dnsop-smallzone-junk-query-00.txt

From: [email-masked]
Date: Mon, 08 Jul 2019 08:58:19 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : A Mechanism to Reduce the junky queries to Authoritative Name Servers Serving Small Size Zones
        Author          : Jiankang Yao
	Filename        : draft-yao-dnsop-smallzone-junk-query-00.txt
	Pages           : 8
	Date            : 2019-07-08

Abstract:
   Some zones are small, public and stable, but very important.  They
   might deal with millions of queries every day.  But many of the
   queries are junky.  For examples, many queries DNS root servers
   receive are junky.  The queried junky names are not in the root, but
   the root servers have to waste a lot of resources to deal with them.
   It has been an obstacle to increase the performance of DNS root
   query.  In order to save the resource caused by the DNS junky
   queries, this document proposes a new mechanism by aggressive use of
   the owner name list of the DNS zone.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-yao-dnsop-smallzone-junk-query/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-yao-dnsop-smallzone-junk-query-00
https://datatracker.ietf.org/doc/html/draft-yao-dnsop-smallzone-junk-query-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/